> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/legacy/vm/virtual-machine-instance/describeinstancecpumonitor.md).

# DescribeInstanceCpuMonitor

## 1. 接口描述

本接口(DescribeInstanceCpuMonitor)用于查询实例指定时间段内的CPU使用率。

{% hint style="info" %}
**注意事项**

* 开始时间和结束时间的跨度不能超过24小时。
* 只能查询近24小时内的Cpu使用率。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称       | 必选 | 类型     | 描述                                    |
| ---------- | -- | ------ | ------------------------------------- |
| instanceId | 是  | String | 实例ID。                                 |
| startTime  | 是  | String | <p>查询开始时间。</p><p>ISO8601标准，UTC时间。</p> |
| endTime    | 是  | String | <p>查询结束时间。</p><p>ISO8601标准，UTC时间。</p> |

## 3. 响应结果

| 参数名称      | 类型                                                                                                                     | 描述                                                       |
| --------- | ---------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId | String                                                                                                                 | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| dataList  | Array of [DescribeInstanceCpuMonitorData](/api-reference/cn/legacy/vm/datastructure.md#describeinstancecpumonitordata) | CPU使用率列表。                                                |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询实例一段时间内的Cpu使用率。**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeInstanceCpuMonitor
<Common Request Params>

Request:
{
  "instanceId": "932237369560662463",
  "startTime": "2023-07-12T00:00:00Z",
  "endTime": "2023-07-12T01:00:00Z"
}

Response:
{
  "requestId": "T1B3DDE46-6FAA-4380-80A2-842F1B3186B7",
  "response": {
    "requestId": "T1B3DDE46-6FAA-4380-80A2-842F1B3186B7",
    "dataList": [
      {
        "cpu": "0.0089",
        "time": "2023-07-12T00:00:00Z"
      },
      {
        "cpu": "0.0083",
        "time": "2023-07-12T00:05:00Z"
      },
      {
        "cpu": "0.0082",
        "time": "2023-07-12T00:10:00Z"
      },
      {
        "cpu": "0.0085",
        "time": "2023-07-12T00:15:00Z"
      },
      {
        "cpu": "0.0067",
        "time": "2023-07-12T00:20:00Z"
      },
      {
        "cpu": "0.0068",
        "time": "2023-07-12T00:25:00Z"
      },
      {
        "cpu": "0.0079",
        "time": "2023-07-12T00:30:00Z"
      },
      {
        "cpu": "0.0094",
        "time": "2023-07-12T00:35:00Z"
      },
      {
        "cpu": "0.0092",
        "time": "2023-07-12T00:40:00Z"
      },
      {
        "cpu": "0.0088",
        "time": "2023-07-12T00:45:00Z"
      },
      {
        "cpu": "0.0090",
        "time": "2023-07-12T00:50:00Z"
      },
      {
        "cpu": "0.0090",
        "time": "2023-07-12T00:55:00Z"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                           | 说明             |
| ------- | --------------------------------------------- | -------------- |
| 404     | INVALID\_INSTANCE\_NOT\_FOUND                 | 指定的实例不存在。      |
| 400     | INVALID\_START\_TIME\_MUST\_BEFORE\_END\_TIME | 开始时间必须在结束时间之前。 |
